package com.sunxung.factoring.entity.businessmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * @author liutao
 * 供应商信息
 */
@TableName(value = "business_supplier_info")
public class BusinessSupplierInfo extends BaseEntity {
    /**
     * 供应商Id
     */
    @TableField(value = "supplier_id")
    private Long supplierId;
    /**
     *供应商名称
     */
    @TableField(value = "supplier_name")
    private String supplierName;
    /**
     * 业务基本信息表Id
     */
    @TableField(value = "business_basic_info_id")
    private Long businessBasicInfoId;


    public BusinessSupplierInfo() {
    }

    public BusinessSupplierInfo(Long supplierId, String supplierName) {
        this.supplierId = supplierId;
        this.supplierName = supplierName;

    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Long getBusinessBasicInfoId() {
        return businessBasicInfoId;
    }

    public void setBusinessBasicInfoId(Long businessBasicInfoId) {
        this.businessBasicInfoId = businessBasicInfoId;
    }
}
